---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_Person;'
    name:      Person
    index:     33
    customTagName: 'person'
    relationships:
    - instance: '&IDR_Person__has__Person_Name;'
      customTagName: 'names'
      customTagNameCreatesInstanceOf: '&IDC_PersonName;'
    - instance: '&IDR_Person__has_image__File;'
      customTagName: 'images'
      customTagNameCreatesInstanceOf: '&IDC_File;'

  - relationship: '&IDR_Person__has__Person_Name;'
    index: 963
    sourceClassId: '&IDC_Person;'
    type: 'has'
    destinationClassId: '&IDC_PersonName;'
    siblingRelationshipId: '&IDR_Person_Name__for__Person;'
    singular: no

  - relationship: '&IDR_Person_Name__for__Person;'
    index: 964
    sourceClassId: '&IDC_PersonName;'
    type: 'for'
    destinationClassId: '&IDC_Person;'
    siblingRelationshipId: '&IDR_Person__has__Person_Name;'
    singular: no

  - relationship: '&IDR_Person__has_image__File;'
    index: 2579
    sourceClassId: '&IDC_Person;'
    type: 'has image'
    destinationClassId: '&IDC_File;'
    siblingRelationshipId: '&IDR_File__image_for__Person;'
    singular: no

  - relationship: '&IDR_File__image_for__Person;'
    index: 2580
    sourceClassId: '&IDC_File;'
    type: 'image for'
    destinationClassId: '&IDC_Person;'
    siblingRelationshipId: '&IDR_Person__has_image__File;'
    singular: no
